Loading...
Searching...
No Matches
abtb_schur_complement< Matrix, Vector, Solver >

## Detailed Description

template<class Matrix, class Vector, class Solver>
struct rheolef::abtb_schur_complement< Matrix, Vector, Solver >

Definition at line 39 of file mixed_solver.h.

## Public Member Functions

| abtb_schur_complement (const Solver &iA1, const Matrix &B1)
Vector | operator* (const Vector &p) const

## Public Attributes

Solver | iA
Matrix | B

## Constructor & Destructor Documentation

## abtb_schur_complement()

template<class Matrix , class Vector , class Solver >

abtb_schur_complement | ( | const Solver & | iA1,
|  | const Matrix & | B1
| ) |  |

Definition at line 42 of file mixed_solver.h.

## Member Function Documentation

## operator*()

template<class Matrix , class Vector , class Solver >

Vector operator* | ( | const Vector & | p | ) | const

Definition at line 43 of file mixed_solver.h.

## Member Data Documentation

## iA

template<class Matrix , class Vector , class Solver >

Solver iA

Definition at line 40 of file mixed_solver.h.

## B

template<class Matrix , class Vector , class Solver >

Matrix B

Definition at line 41 of file mixed_solver.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-mDkPTY/rheolef-7.2/linalg/lib/mixed_solver.h